use super::*;

pub async fn on_get_activity_data(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetActivityDataCsReq,
) -> NetResult<GetActivityDataScRsp> {
    Ok(GetActivityDataScRsp {
        retcode: Retcode::RetSucc.into(),
        ..Default::default()
    })
}

pub async fn on_get_web_activity_data(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetWebActivityDataCsReq,
) -> NetResult<GetWebActivityDataScRsp> {
    Ok(GetWebActivityDataScRsp {
        retcode: Retcode::RetSucc.into(),
        ..Default::default()
    })
}
